getControlProbe {lumi} | R Documentation

## Get the control probe Ids

### Description

Get the control probe Ids corresponding to the control probe type provided. The control probe ids are kept in the second column of controlData data.frame.

### Usage

    getControlProbe(controlData, type = NULL)

### Arguments

`controlData` | a LumiBatch object including control data or a control data data.frame
`type` | the type of control probe (case insensitive), which can be get by using `getControlType` function

### Value

returns the corresponding probe Ids for the control type.

### Author(s)

Pan Du

### See Also

`addControlData2lumi`

### Examples

            controlFile <- system.file('doc', 'Control_Probe_Profile.txt', package='lumi')
            ## return a data.frame
            controlData <- getControlData(controlFile)
            getControlType(controlData)
            getControlProbe(controlData, type='housekeeping')

[Package lumi version 1.10.2 Index]